New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Audiobook

Create a new audiobook project

POST
/api/v1/audiobook/projects

Request Body

application/json
  1. body
name*Name

Project name

file_base64*File Base64

Base64-encoded document file

filename*Filename

Original filename for format detection

speaker_assignments?|

Optional {speaker_label: voice_spec} for script import

project_model_family?|

Optional TTS model family to set on the created project

detect_emotions?Detect Emotions

Turn on per-line emotion detection for the created project

Defaultfalse

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/audiobook/projects' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "file_base64": "string",  "filename": "string"}'
Example Response
null